#!/bin/sh
# /etc/acpi/battery.sh
#
# for Panasonic Let's note Light
#
# By: YOKOTA Hiroshi, MIURA Hiroshi

# Take care about the way events are reported
ev_type="$1"
device="$2"
event="$3"
status="$4"

BATT_state=/proc/acpi/battery/${device}/state
BATT_info=/proc/acpi/battery/${device}/info

PCC=/proc/acpi/pcc

function reset_brightness()
{
    if grep -q "discharging"  ${BATT_state} ; then
	# "echo" statement is required to avoid input/output conflict
	echo -n $(cat ${PCC}/dc_brightness) > ${PCC}/dc_brightness
    else
	echo -n $(cat ${PCC}/ac_brightness) > ${PCC}/ac_brightness
    fi
}

function do_critical_suspend()
{
    echo "acpid-battery: critical battery state. try hibernate"
    /bin/run-parts --lsbsysinit --exit-on-error --arg=suspend --arg=critical /etc/acpi/suspend.d

    /bin/run-parts --lsbsysinit --exit-on-error --arg=resume --arg=critical /etc/acpi/resume.d
}

case ${event} in
    00000080)
	if [ ${status} = 00000001 ] ; then
	    #check what evnet is occured
	    if grep -q "critical" ${BATT_state} ; then
		do_critical_suspend
	    else
		# ok it seems changing ac plug state
		reset_brightness
	    fi
	fi
	;;
    00000081)
	# ACPI "_BIF" method
	# do something when battery is removed/attached.
	;;
    *)
	;;
esac

exit 0

# end
